/***********************
 * main css file - ads *
 ***********************/

/* css reset ******************************************************************/
*
{
    outline: 0;
    margin: 0;
    border: 0 none;
    padding: 0;
    vertical-align: baseline;
    font-weight: inherit;
    font-family: inherit;
    font-style: inherit;
    font-size: 100%;
}

html
{
    text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
}

a
{
    display: block;
    text-decoration: none;
    color: inherit;
}

ul
{
    list-style: none;
}

img
{
    pointer-events: none;
}
/******************************************************************************/


/* globals ********************************************************************/
:root
{
    /* nav dimensions */
    --nav-length: 92px;
    --icon-length: 72px;

    /* theme */
    --red: #e62e3a;
    --yellow: #eac435;
    --black: #231f20;
    --gray: #595758;
    --white: #fbfef9;
}

.no-select
{
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
/******************************************************************************/


/* viewport *******************************************************************/
#viewport-container
{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    -webkit-flex-direction: row;
    background-color: var(--black);
    color: var(--white);
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}
/******************************************************************************/


/* navigation *****************************************************************/
#nav-container
{
    max-width: var(--nav-length);
    min-width: var(--nav-length);
    height: 100%;
    display: flex;
    flex-direction: column;
    -webkit-flex-direction: column;
    background-color: var(--gray);
    color: var(--black);
}

#nav-container > li
{
    min-height: var(--nav-length);
    max-height: var(--nav-length);
    border-bottom: solid;
    border-bottom-width: medium;
    border-color: var(--black);
}

#nav-container > li.active
{
    background-color: var(--white);
    color: var(--white);
}

#nav-container > li.inactive
{
    width: var(--nav-length);
    background-color: var(--gray);
    transition: width 0.8s, background-color 0.8s;
    -webkit-transition: width 0.8s, background-color 0.8s;
    -moz-transition: width 0.8s, background-color 0.8s;
}

#nav-container > li.inactive:hover
{
    width: calc(var(--nav-length) + 70px);
    background-color: var(--white);
}

#nav-container a
{
    min-height: var(--nav-length);
    max-height: var(--nav-length);
}

#nav-container h3
{
    position: relative;
    top: 63px;
    right: 6px;
    text-align: right;
    font-weight: bold;
}

#nav-container > li.inactive h3
{
    opacity: 0;
    transition: opacity 0.8s 0.2s;
    -webkit-transition: opacity 0.8s 0.2s;
    -moz-transition: opacity 0.8s 0.2s;
}
#nav-container > li.inactive:hover h3
{
    opacity: 1;
}

#nav-container img
{
    position: relative;
    top: -20px;
    margin: 10px;
}
#controls-container
{
    margin-top: auto;
    border-top: solid;
}
/******************************************************************************/


/* content ********************************************************************/
#content-container
{
    width: 100%;
    min-width: 640px;
    height: 100%;
    display: flex;
    flex-direction: column;
    -webkit-flex-direction: column;
    overflow: auto;
}

#content
{
    margin: auto;
    padding: 20px;
    max-width: 1002px;
    min-width: 640px;
    text-align: center;
}

#about h1
{
    font-size: 1.3em;
    font-weight: bold;
    line-height: 2em;
}

#about p
{
    text-align: left;
    line-height: 1.5em;
}
/******************************************************************************/


/* status *********************************************************************/
.godot
{
    color: var(--white);
    background-color: var(--black);
    border: 1px solid var(--white);
    box-shadow: 0 0 1px 1px var(--black);
}
#status-container
{
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden;
}

#status
{
    cursor: pointer;
    visibility: visible;
    padding: 4px 6px;
}
/******************************************************************************/


/* cookies ********************************************************************/
#cookie-container
{
    position: absolute;
    top: auto;
    right: 100px;
    bottom: 40px;
    left: 192px;
    display: none;
    justify-content: center;
    align-items: flex-end;
}

#cookie-box
{
    width: 800px;
    height: 70px;
    border: solid;
    border-color: var(--white);
    background-color: var(--gray);
    color: var(--white);
}

#vertical-container
{
    height: 100%;
    display: flex;
    flex-direction: column;
}

#cookie-policy
{
    margin: 10px;
    flex-grow: 1;
    display: none;
    text-align: justify;
}

#cookie-policy h3
{
    font-weight: bold;
    font-size: 1.3em;
}

#cookie-policy h4
{
    font-size: 1.1em;
}

#horizontal-container
{
    margin: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

#horizontal-container h3
{
    font-size: 1.3em;
    flex-grow: 1;
}

.cookie-buttons
{
    width: 100px;
    height: 50px;
    margin-left: 5px;
    border: solid;
    border-color: var(--black);
    background-color: var(--white);
    color: var(--black);
    transition: background-color 0.8s;
    -webkit-transition: background-color 0.2s;
    -moz-transition: background-color 0.2s;
}

.cookie-buttons:hover
{
    background-color: var(--yellow);
}

.cookie-buttons:active
{
    background-color: var(--yellow);
}
/******************************************************************************/


/* media queries **************************************************************/
@media screen and (max-width: 1260px) and (min-device-width: 1260px)
{
    #viewport-container
    {
	flex-direction: column;
	-webkit-flex-direction: column;
    }

    #nav-container
    {
	max-width: 100%;
	min-width: 100%;
	width: 100%;
	max-height: var(--nav-length);
	min-height: var(--nav-length);
	flex-direction: row;
	-webkit-flex-direction: row;
    }

    #nav-container > li
    {
	border-bottom: none;
	border-right: solid;
	border-right-width: medium;
	border-right-color: var(--black);
    }

    #controls-container
    {
	border-top: none;
	border-left: solid;
	margin-top: 0;
	margin-left: auto;
    }

    #cookie-container
    {
	left: 100px;
    }
}

@media only screen and (min-device-width: 320px) and (max-device-width: 480px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait),
       only screen and (min-device-width: 320px) and (max-device-width: 568px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait),
       only screen and (min-device-width: 375px) and (max-device-width: 667px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait),
       only screen and (min-device-width: 414px) and (max-device-width: 736px) and (-webkit-min-device-pixel-ratio: 3) and (orientation: portrait),
       only screen and (min-device-width: 375px) and (max-device-width: 812px) and (-webkit-min-device-pixel-ratio: 3) and (orientation: portrait),
       screen and (device-width: 320px) and (device-height: 640px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait),
       screen and (device-width: 320px) and (device-height: 640px) and (-webkit-device-pixel-ratio: 3) and (orientation: portrait),
       screen and (device-width: 360px) and (device-height: 640px) and (-webkit-device-pixel-ratio: 3) and (orientation: portrait),
       screen and (device-width: 360px) and (device-height: 640px) and (-webkit-device-pixel-ratio: 4) and (orientation: portrait),
       screen and (device-width: 480px) and (device-height: 800px) and (orientation: portrait)
{
    #viewport-container
    {
	flex-direction: column;
	-webkit-flex-direction: column;
    }

    #nav-container
    {
	max-width: 100%;
	min-width: 100%;
	width: 100%;
	max-height: var(--nav-length);
	min-height: var(--nav-length);
	flex-direction: row;
	-webkit-flex-direction: row;
    }

    #nav-container > li
    {
	border-bottom: none;
	border-right: solid;
	border-right-width: medium;
	border-right-color: var(--black);
    }

    #controls-container
    {
	border-top: none;
	border-left: solid;
	margin-top: 0;
	margin-left: auto;
    }
}
/******************************************************************************/
